# frame\_system

## frame\_system

You'll see this everywhere and wonder why. WHY!? WHAT IS THIS!? The same is true for `frame_support` but over time they start making sense.&#x20;

`frame_system` is the `System` crate that defines the core **types** for `runtime` such as Account ID, Header, Version, Hash, Origin, etc., as well as core [storage items](/developers/notes-about-substrate/frame-pallet/runtime-storage.md) such as Block Hash, Block Number, [Events](/developers/notes-about-substrate/frame-pallet/runtime-events.md), etc.

Luckily, substrate\_ makes it easy by including the `pallet_prelude` in both crates. Use this with the wildcard `*` and move on. You'll come back to it and it'll make more sense.

```rust
#[frame_support::pallet]
pub mod pallet {
    use frame_support::pallet_prelude::*;
    use frame_system::pallet_prelude::*;
    // other pallet dependencies...
```

## frame\_support


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://www.build3.network/developers/notes-about-substrate/other-important-crates/frame_system.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
